Skip to main content
GET
/
databases
/
{id}
Get database
curl --request GET \
  --url https://api.sevalla.com/v3/databases/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "company_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "project_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "name": "my-database",
  "display_name": "My Database",
  "type": "postgresql",
  "version": "16",
  "status": "ready",
  "is_suspended": false,
  "cluster_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "cluster_display_name": "Iowa, USA",
  "cluster_location": "us-central1",
  "resource_type_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "resource_type_name": "db1",
  "cpu_limit": 500,
  "memory_limit": 512,
  "storage_size": 10000,
  "db_name": "my_database",
  "internal_hostname": "my-database.my-database-abc123.svc.cluster.local",
  "internal_port": "5432",
  "external_hostname": "ext-db.example.com",
  "external_port": "15432",
  "created_at": "2025-01-30T00:00:00.000Z",
  "updated_at": "2025-01-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Database identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Response

Default Response

id
string<uuid>
required

Unique identifier for the database

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

company_id
string | null
required

Identifier of the company that owns this database

Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

project_id
string<uuid> | null
required

Identifier of the project this database is grouped under

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

name
string
required

Unique system name used in internal references. Auto-generated from the display name and cannot be changed after creation.

Example:

"my-database"

display_name
string
required

Human-readable name shown in the dashboard and API responses

Example:

"My Database"

type
enum<string>
required

Database engine type. postgresql - PostgreSQL. mariadb - MariaDB. mysql - MySQL. mongodb - MongoDB. redis - Redis. valkey - Valkey.

Available options:
postgresql,
mariadb,
mysql,
mongodb,
redis,
valkey
Example:

"postgresql"

version
string
required

Database engine version

Example:

"16"

status
enum<string> | null
required

Current status of the database reflecting the most recent lifecycle operation

Available options:
creating,
ready,
updating,
passwordChange,
passwordChangeFailed,
deleting,
error,
dbDeletionFailed,
restoring,
restoringFailed,
updatingExternalConnection
Example:

"ready"

is_suspended
boolean
required

Whether the database is currently suspended

Example:

false

cluster_id
string<uuid>
required

Identifier of the cluster where the database is deployed. Use the List Clusters endpoint to retrieve available options.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

cluster_display_name
string | null
required

Human-readable name of the cluster

Example:

"Iowa, USA"

cluster_location
string | null
required

Google Cloud region where the cluster is located

Example:

"us-central1"

resource_type_id
string | null
required

Identifier of the database resource type (machine size). Use the List Database Resource Types endpoint to retrieve available options.

Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

resource_type_name
string | null
required

Name of the resource type (machine size) assigned to this database

Example:

"db1"

cpu_limit
integer | null
required

Maximum CPU allocation in millicores

Required range: 1 <= x <= 9007199254740991
Example:

500

memory_limit
integer | null
required

Maximum memory allocation in megabytes

Required range: 1 <= x <= 9007199254740991
Example:

512

storage_size
integer | null
required

Storage allocation in megabytes

Required range: 1 <= x <= 9007199254740991
Example:

10000

db_name
string | null
required

Name of the database within the server. Returns "0" for Redis and Valkey.

Example:

"my_database"

internal_hostname
string | null
required

Internal Kubernetes DNS hostname for service-to-service communication within the cluster

Example:

"my-database.my-database-abc123.svc.cluster.local"

internal_port
string | null
required

Port number for internal connections within the cluster

Example:

"5432"

external_hostname
string | null
required

External hostname for connections from outside the cluster

Example:

"ext-db.example.com"

external_port
string | null
required

Port number for external connections from outside the cluster

Example:

"15432"

created_at
string<date-time>
required

Timestamp when the database was created, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"

updated_at
string<date-time>
required

Timestamp when the database was last modified, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"